;;; cl-scopes/test/config-sqlite.lisp
;;; use: `(load "test/...")` from package scopes/test-storage

(in-package :scopes/test-storage)

(config:root :env-keys '(:db-name))

(defvar sqlite-connect-args
  (list :database-name 
        (namestring 
          (scopes/testing:test-path (config:from-env :db-name "test.db") "data"))))

(config:add :storage :class 'storage:config :setup #'storage:setup
            :db-type :sqlite3
            :connect-args sqlite-connect-args)
