;;;; cl-scopes/test/etc/config-web

(in-package :scopes/test-web)

(config:root :env-keys '(:address :port))

(config:add :server :class 'server:config
            :port "8899"
            :routes 
              `((("api") server:message-handler)
                (() server:fileserver 
                    :doc-root ,(t:test-path "" "docs"))))

(config:add :client :class 'client:config
            :base-url "http://localhost:8899"
            :doc-path "/" :api-path "/api/")
